package com.red.circle.other.infra.database.cache.service.team;

/**
 * BD 团队相关缓存服务.
 */
public interface BdTeamCacheService {

  /**
   * 清理 BD Leader 维度缓存.
   */
  void clearLeaderRelatedCaches(Long leaderUserId);

  /**
   * 清理 BD 维度缓存.
   */
  void clearBdRelatedCaches(Long bdUserId);

  /**
   * 清理 BD 与 BD Leader 关系变更产生的缓存.
   */
  void clearRelationChangeCaches(Long oldLeaderUserId, Long newLeaderUserId, Long bdUserId);
}
